import RPi.GPIO as GPIO
import datetime
import time
import logging
import os

GPIO.setmode(GPIO.BCM)     # set up BCM GPIO numbering
GPIO.setwarnings(False)
GPIO.setup(22, GPIO.IN)    # Read output from PIR motion sensor
GPIO.setup(23, GPIO.OUT)   # LED output pin

# Logging
logger = logging.getLogger('pirsensor')
hdlr = logging.FileHandler('/var/log/pirsensor.log')
formatter = logging.Formatter('%(asctime)s %(levelname)s %(message)s')
hdlr.setFormatter(formatter)
logger.addHandler(hdlr)
logger.setLevel(logging.INFO)

# Define a threaded callback function to run in another thread when events are detected
def my_callback(channel):
    if GPIO.input(22):     # if port 22 == 1
        #ts =  datetime.datetime.now()
        #print ts," Rising edge detected on 22"
        GPIO.output(23, 1)  #Turn On LED
        logger.info("Moting ON")
        os.system('curl -s "http://127.0.0.1:8080/json.htm?type=command&param=switchlight&idx=18&switchcmd=On" > /dev/null')
        pirstate = 1
    else:                  # if port 22 != 1
        #ts =  datetime.datetime.now()
        #print ts," Falling edge detected on 22"
        GPIO.output(23, 0)  #Turn OFF LED
        logger.info("Moting OFF")
        #os.system('curl -s "http://127.0.0.1:8080/json.htm?type=command&param=switchlight&idx=18&switchcmd=Off" > /dev/null')

# when a changing edge is detected on port 25, regardless of whatever
# else is happening in the program, the function my_callback will be run
GPIO.add_event_detect(22, GPIO.BOTH, callback=my_callback)


while True:
        time.sleep(2)
